| Home | Libraries | People | FAQ | More

# boost::asio::io_service::service Class Reference

Inherits noncopyable.

Inherited by boost::asio::datagram_socket_service< Protocol >, boost::asio::deadline_timer_service< Time_Type, Time_Traits >, boost::asio::resolver_service< Protocol >, boost::asio::socket_acceptor_service< Protocol >, boost::asio::ssl::context_service, boost::asio::ssl::stream_service, boost::asio::strand_service, and boost::asio::stream_socket_service< Protocol >.

Inheritance diagram for boost::asio::io_service::service:

List of all members.

## Detailed Description

Base class for all io_service services.

## Public Member Functions

io_service & | owner ()
| Get the io_service object that owns the service.

## Protected Member Functions

| service (io_service &owner)
| Constructor.
virtual | ~service ()
| Destructor.

## Private Member Functions

virtual void | shutdown_service ()=0
| Destroy all user-defined handler objects owned by the service.

## Constructor & Destructor Documentation

boost::asio::io_service::service::service | ( | io_service & | owner | ) | `[protected]`

Constructor.

Parameters:

  | owner | The io_service object that owns the service.

boost::asio::io_service::service::~service | ( |  | ) | `[protected, virtual]`

Destructor.

## Member Function Documentation

io_service & boost::asio::io_service::service::owner | ( |  | ) |

Get the io_service object that owns the service.

virtual void boost::asio::io_service::service::shutdown_service | ( |  | ) | `[private, pure virtual]`

Destroy all user-defined handler objects owned by the service.

Implemented in boost::asio::datagram_socket_service< Protocol >, boost::asio::deadline_timer_service< Time_Type, Time_Traits >, boost::asio::resolver_service< Protocol >, boost::asio::socket_acceptor_service< Protocol >, boost::asio::strand_service, boost::asio::stream_socket_service< Protocol >, boost::asio::ssl::context_service, and boost::asio::ssl::stream_service.

| Copyright © 2003 - 2006 Christopher M. Kohlhoff